Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2320 - remove of directories and /lib/cpp
Summary: remove of directories and /lib/cpp
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: egcs
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-22 02:36 UTC by stewart
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-16 15:28:02 UTC


Attachments (Terms of Use)

Description stewart 1999-04-22 02:36:06 UTC
This is with egcs-1.1.2-12.src.rpm, if it has been fixed
please discard.

First can /lib/cpp be moved to /usr/lib/cpp or baring that,
copy the binary and don't use a symbolic link.  Things under
/lib should not require anything under /usr, for when it is
not mounted they should still work IMHO.

[root@dilgar src]# ls -l /lib/cpp
lrwxrwxrwx   1 root     root           55 Mar 25 22:07
/lib/cpp ->
../usr/lib/gcc-lib/armv4l-redhat-linux/egcs-2.91.66/cpp

The following is just annoying (I've been known to build
egcs a couple of times a week from cvs and installing, I use
the default rawhide/starbuck spec file)

The directory:
/usr/lib/gcc-lib/armv4l-redhat-linux/egcs-2.91.66/include is
owned by egcs, but the package egcs-objc has files in here,
so when I do:
	rpm -Uhv egcs-*
it does not delete the above directory as egcs, then
egcs-objc is installed/uninstalled.

Hope that makes sense.
Thanks

Comment 1 Cristian Gafton 1999-06-16 15:28:59 UTC
The /lib/cpp is a historic heritage. The newer programs using autoconf
test for the c preprocessor and are using "gcc -E" instead. there are
a number of programs and configuration scripts that expect it there.


Note You need to log in before you can comment on or make changes to this bug.